Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# BulletHelper Class Reference

List of all members.

## Static Public Member Functions
static GeomVertexFormat const | addSbFlipColumn (GeomVertexFormat const format)
static GeomVertexFormat const | addSbIndexColumn (GeomVertexFormat const format)
static NodePathCollection | fromCollisionSolids (NodePath np, bool clear)
static NodePathCollection | fromCollisionSolids (NodePath np)
static InternalName | getSbFlip ()
static InternalName | getSbIndex ()
static Geom | makeGeomFromFaces (BulletSoftBodyNode node)
static Geom | makeGeomFromFaces (BulletSoftBodyNode node, GeomVertexFormat const format)
static Geom | makeGeomFromFaces (BulletSoftBodyNode node, GeomVertexFormat const format, bool two_sided)
static Geom | makeGeomFromLinks (BulletSoftBodyNode node, GeomVertexFormat const format)
static Geom | makeGeomFromLinks (BulletSoftBodyNode node)
static | makeTexcoordsForPatch (Geom geom, int resx, int resy)

## Member Function Documentation

static GeomVertexFormat const addSbFlipColumn | ( | GeomVertexFormat const | format | ) | `[static]`

static GeomVertexFormat const addSbIndexColumn | ( | GeomVertexFormat const | format | ) | `[static]`

static NodePathCollection fromCollisionSolids | ( | NodePath | np,
|  | bool | clear
| ) |  | `[static]`

static NodePathCollection fromCollisionSolids | ( | NodePath | np | ) | `[static]`

static InternalName getSbFlip | ( |  | ) | `[static]`

static InternalName getSbIndex | ( |  | ) | `[static]`

static Geom makeGeomFromFaces | ( | BulletSoftBodyNode | node | ) | `[static]`

static Geom makeGeomFromFaces | ( | BulletSoftBodyNode | node,
|  | GeomVertexFormat const | format
| ) |  | `[static]`

static Geom makeGeomFromFaces | ( | BulletSoftBodyNode | node,
|  | GeomVertexFormat const | format,
|  | bool | two_sided
| ) |  | `[static]`

static Geom makeGeomFromLinks | ( | BulletSoftBodyNode | node,
|  | GeomVertexFormat const | format
| ) |  | `[static]`

static Geom makeGeomFromLinks | ( | BulletSoftBodyNode | node | ) | `[static]`

static makeTexcoordsForPatch | ( | Geom | geom,
|  | int | resx,
|  | int | resy
| ) |  | `[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties